> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Products and Prices for a Country

> Retrieve a list of real time products available and their prices/ credit tier and value for a country. You will need the ISO country code of the registry.



## OpenAPI

````yaml /openapi/company_v1.yaml get /core/price/productlist/{countryISO}
openapi: 3.0.1
info:
  title: Kyckr Companies V1 API
  description: |
    Kyckr Companies V1 API
  version: '1.0'
  contact:
    name: Kyckr APIs
    email: support@kyckr.com
servers:
  - url: https://rest.kyckr.com
    description: Production
  - url: https://rest.kyckr.com/test
    description: Test
security:
  - apiKey: []
tags:
  - name: Account
  - name: Company Profile
  - name: Company Search
  - name: Price
  - name: Registry Documents
  - name: UBO Verify
  - name: Lite
paths:
  /core/price/productlist/{countryISO}:
    parameters:
      - $ref: '#/components/parameters/countryISO'
    get:
      tags:
        - Price
      summary: List All Products and Prices for a Country
      description: >-
        Retrieve a list of real time products available and their prices/ credit
        tier and value for a country. You will need the ISO country code of the
        registry.
      operationId: Price_ProductPriceList
      responses:
        '200':
          $ref: '#/components/responses/DocumentPriceList'
components:
  parameters:
    countryISO:
      name: countryISO
      description: 2-digit ISO country code
      in: path
      required: true
      schema:
        type: string
      example: IE
  responses:
    DocumentPriceList:
      description: >-
        In this example we are retrieving the list of available products and
        their price/credit tier and value for the UK. In the request parameters,
        we have entered GB as the CountryISO.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DocumentPriceList'
          examples:
            Example:
              $ref: '#/components/examples/DocumentPriceList'
  schemas:
    DocumentPriceList:
      type: array
      items:
        type: object
        properties:
          nameField:
            type: string
          priceField:
            type: string
            deprecated: true
          tierCodeField:
            type: string
            deprecated: true
          tierValueField:
            type: string
  examples:
    DocumentPriceList:
      value:
        - nameField: GB_CH_DOC
          priceField: '0.00'
          tierCodeField: A
          tierValueField: '1.00'
        - nameField: GB_CH_DOC_BETA
          priceField: '0.00'
          tierCodeField: A
          tierValueField: '1.00'
        - nameField: GB_GRA_OD
          priceField: '0.00'
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````